﻿
$ErrorActionPreference = 'Stop'; # stop on all errors
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$url        = 'https://sharpkey-files.oss-cn-beijing.aliyuncs.com/deep-vocal/Setup_DeepVocal_beta_1.1.0.rar' # download url, HTTPS preferred

$packageArgs = @{
  packageName   = 'deepvocal'
  url           = $url
  unzipLocation = $toolsdir
  fileType      = 'EXE' #only one of these: exe, msi, msu
  file          = Join-Path $toolsdir 'Setup_DeepVocal_beta_1.1.0.exe'
  softwareName  = 'deepvocal*' 
  checksum      = '47BEBB259F98EB90E1379EDEAD178C232FE83AAF601C2E3EAFF40A402EECE554'
  checksumType  = 'sha256' 
  silentArgs    = "/VERYSILENT /SUPPRESSMSGBOXES /NORESTART /SP-" # ALLUSERS=1 DISABLEDESKTOPSHORTCUT=1 ADDDESKTOPICON=0 ADDSTARTMENU=0
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyZipPackage @packageArgs
Install-ChocolateyInstallPackage @packageArgs